<Project Sdk="Microsoft.NET.Sdk.BlazorWebAssembly">

  <PropertyGroup>
    <TargetFramework>net9.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Services\**" />
    <Content Remove="Services\**" />
    <EmbeddedResource Remove="Services\**" />
    <MauiCss Remove="Services\**" />
    <MauiXaml Remove="Services\**" />
    <None Remove="Services\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="IntegryApiClient.Blazor" Version="1.1.4" />
    <PackageReference Include="Microsoft.AspNetCore.Components.Authorization" Version="9.0.5" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="9.0.5" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="9.0.5" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\salesbook.Shared\salesbook.Shared.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="wwwroot\" />
  </ItemGroup>

</Project>
